org.eclipse.jetty.security

## Class ConstraintMapping

- java.lang.Object
- - org.eclipse.jetty.security.ConstraintMapping

-     public class ConstraintMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintMapping()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constraint` | `getConstraint()`
    `String` | `getMethod()`
    `String[]` | `getMethodOmissions()`
    `String` | `getPathSpec()`
    `void` | `setConstraint(Constraint constraint)`
    `void` | `setMethod(String method)`
    `void` | `setMethodOmissions(String[] omissions)`
    `void` | `setPathSpec(String pathSpec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintMapping

          public ConstraintMapping()

  - ### Method Detail

    - #### getConstraint

          public Constraint getConstraint()

      Returns:
        Returns the constraint.

    - #### setConstraint

          public void setConstraint(Constraint constraint)

      Parameters:
        `constraint` - The constraint to set.

    - #### getMethod

          public String getMethod()

      Returns:
        Returns the method.

    - #### setMethod

          public void setMethod(String method)

      Parameters:
        `method` - The method to set.

    - #### getPathSpec

          public String getPathSpec()

      Returns:
        Returns the pathSpec.

    - #### setPathSpec

          public void setPathSpec(String pathSpec)

      Parameters:
        `pathSpec` - The pathSpec to set.

    - #### setMethodOmissions

          public void setMethodOmissions(String[] omissions)

      Parameters:
        `omissions` - The http-method-omission

    - #### getMethodOmissions

          public String[] getMethodOmissions()

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.